summaryrefslogtreecommitdiff
path: root/test/TEST-22-TMPFILES/test-01.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/TEST-22-TMPFILES/test-01.sh')
-rwxr-xr-xtest/TEST-22-TMPFILES/test-01.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/TEST-22-TMPFILES/test-01.sh b/test/TEST-22-TMPFILES/test-01.sh
new file mode 100755
index 0000000000..d233e37fb2
--- /dev/null
+++ b/test/TEST-22-TMPFILES/test-01.sh
@@ -0,0 +1,13 @@
+#! /bin/bash
+#
+# With "e" don't attempt to set permissions when file doesn't exist, see
+# https://github.com/systemd/systemd/pull/6682.
+#
+
+set -e
+
+rm -fr /tmp/test
+
+echo "e /tmp/test - root root 1d" | systemd-tmpfiles --create -
+
+! test -e /tmp/test